/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
#include <stdio.h> 
#include "sampclass.h"

Class1::Class1() {
  m_d = 1;
  printf("in Constructor in C++ space, m_d = %f\n", m_d);
}

Class1::Class1(int i) {
  m_d = i;
  printf("in Constructor in C++ space, m_d = %f\n", m_d);
}

Class1::Class1(int i, double d) {
  m_d = i+d;
  printf("in Constructor in C++ space, m_d = %f\n", m_d);
}

Class1::~Class1() {
}
